org.apache.catalina.ssi

## Class SSIExec

- java.lang.Object
- - org.apache.catalina.ssi.SSIExec

- All Implemented Interfaces:
    SSICommand

      public class SSIExec
      extends Object
      implements SSICommand

  Implements the Server-side #exec command
  Author:
    Bip Thelin, Amy Roh, Paul Speed, Dan Sandberg, David Becker

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static int` | `BUFFER_SIZE`
    `protected SSIInclude` | `ssiInclude`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SSIExec()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `process(SSIMediator ssiMediator, String commandName, String[] paramNames, String[] paramValues, PrintWriter writer)` Write the output of the command to the writer.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ssiInclude

          protected final SSIInclude ssiInclude

    - #### BUFFER_SIZE

          protected static final int BUFFER_SIZE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### SSIExec

          public SSIExec()

  - ### Method Detail

    - #### process

          public long process(SSIMediator ssiMediator,
                     String commandName,
                     String[] paramNames,
                     String[] paramValues,
                     PrintWriter writer)

      Description copied from interface: `SSICommand`
      Write the output of the command to the writer.
      Specified by:
        `process` in interface `SSICommand`
      Parameters:
        `ssiMediator` - the ssi mediator
        `commandName` - the name of the actual command ( ie. echo )
        `paramNames` - The parameter names
        `paramValues` - The parameter values
        `writer` - the writer to output to
      Returns:
        the most current modified date resulting from any SSI commands
      See Also:
        `SSICommand`

Copyright © 2000-2021 Apache Software Foundation. All Rights Reserved.